libmath-clipper-perl - Perl module for Polygon clipping in 2D

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libmath-clipper-perl
Package version: 1.23
Package release: 1+b1
Package architecture: amd64
Package type: deb
Installed size: 186 B
Download size: 72.18 KB
Official Mirror:
Math::Clipper is a C++ (and Delphi) library that implements polygon clipping. A Polygon is represented by a reference to an array of 2D points. A Point is, in turn, represented by a reference to an array containing two numbers: The X and Y coordinates. Clipper 4.x works with polygons with integer coordinates. Data in floating point format will need to be scaled appropriately to be converted to the available integer range before polygons are added to a clipper object. (Scaling utilities are provided.)



    Source package: libmath-clipper-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmath-clipper-perl deb package:
      # sudo apt-get install libmath-clipper-perl


    • /usr/lib/x86_64-linux-gnu/perl5/5.20/Math/
    • /usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Math/Clipper/
    • /usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Math/Clipper/
    • /usr/share/doc/libmath-clipper-perl/changelog.Debian.amd64.gz
    • /usr/share/doc/libmath-clipper-perl/changelog.Debian.gz
    • /usr/share/doc/libmath-clipper-perl/changelog.gz
    • /usr/share/doc/libmath-clipper-perl/copyright
    • /usr/share/man/man3/Math::Clipper.3pm.gz


    2014-05-23 - gregor herrmann <> libmath-clipper-perl (1.23-1) unstable; urgency=medium * Team upload. * New upstream release. * Strip trailing slash from metacpan URLs. * Update years of upstream copyright. * Bump versioned build dependency on libextutils-xspp-perl. * Drop unused lintian override (hardening-no-fortify-functions). * Declare compliance with Debian Policy 3.9.5.

    2013-05-26 - Nicolas Dandrimont <> libmath-clipper-perl (1.22-1) unstable; urgency=low * New upstream release * Add myself to uploaders

    2013-02-17 - gregor herrmann <> libmath-clipper-perl (1.17-1) unstable; urgency=low * Team upload. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git:// * Change based URIs to based URIs [ gregor herrmann ] * New upstream release. * debian/copyright: update years of upstream copyright.

    2012-12-09 - gregor herrmann <> libmath-clipper-perl (1.15-1) unstable; urgency=low * Team upload. * New upstream release. * Update upstream copyright information.

    2012-11-04 - Florian Schlichting <> libmath-clipper-perl (1.14-1) unstable; urgency=low * Initial Release. (Closes: #689650)